Clinton Economic Conference- John Sculley's remarks:

We are at a major turning point in the world economy.  This is a change as 
significant as the transformation of our 19th c. agricultural economy into the 
20th c. industrial age a century ago.

The hallmark of this 20th c. industrial economy has been mass production and 
mass consumption.

The  mass production/mass consumption model of business was pioneered in this 
country by early 20th century leaders like Henry Ford and the industrial 
engineer Fredrick Taylor. This model assumed that all important decisions were 
centralized around a small managerial elite. "Thinking" was purposely separated 
from "doing". Work was broken down into repetitive tasks, consciously 
eliminating as much decision making as possible by the workers. Quality was 
defined around rigid standardization. There was little flexibility in the work 
process.

Perhaps the biggest change in this decade will be the reorganization of work. 
That is, reengineering the ways in which work gets done productively. 

But here's a major problem. Most Americans don't know what the New Economy is, 
yet it will dramatically impact their lives in the years ahead. Today we 
measure economic health on internal comparisons like GDP growth and 
unemployment rates.  In the New Global Economy, the key indicator is standard 
of living, as measured  externally by comparative productivity versus other 
industrialized trading regions.  Our high standard of living already requires 
higher productivity than the rest of the world (e.g. fortunately we are still 
ahead) but we are losing ground. Real income is down. Only the best 
educated/higher income families are holding their own.

In the New Economy,  that  old industrial model is being replaced by a rapid 
move towards  customization of goods and services and the decentralization of 
work.Today, new products can be developed in a fraction of the time it took in 
the old industrial economy; services and products are being 
custom-built-to-order; quality is dramatically  improving and costs are being 
driven down through the use of new technologies such as computer systems, 
robotics and measurements systems.

In the New Economy workers are on the frontline interacting with customers and 
workers on the factory floor are  empowered to make decisions.  This is the only way customized goods and services can be created quickly, with the highest 
quality, at the lowest cost and with the maximum flexibility.

In the old economy, America had a real advantage because we were rich with 
natural resources and our large domestic market formed the basis for economies 
of scale. 

In the New Economy, strategic resources no longer  just come out of the ground 
(e.g. oil, coal, iron and wheat), the strategic resources are ideas and 
information that come out of our minds. 

The result is, as a Nation, we have gone from being resource rich in the old 
economy to resource poor in the new economy almost over night!  Our public 
education system has not successfully made the shift from teaching memorized 
facts to achieving the learning of critical thinking skills. We are still 
trapped in a K-12 public education system which is preparing our youth for jobs 
that no longer exist.

The New Economy is Global. We are no longer alone at the top. In fact, The 
United States is underprepared to compete with many other major industrialized 
trading regions in the world.

Students in other industrialized countries are learning math, sciences and 
critical judgment skills more relevant to the New Economy.

Other industrialized countries have an alternative path for the non-college 
bound including vocational study and a school-to-work transition which is 
tightly linked with apprenticeships and worker training in industry.

We have few alternatives for  non-college bound students so they can 
participate productively in the high skilled work of the New Economy.

The greatest certainty about the New Economy is the pace of change. Young 
people in school today can reasonably expect to have 4 or 5 careers. Skill 
needs will constantly change too. Education therefore must become a lifelong 
pursuit not just an institutional experience early in one's life. Education, 
training and retraining must become as much an ongoing experience in our lives 
as exercise and vacations.

Most Americans see our largest corporations going through massive 
restructurings, layoffs and  downsizing. People  know something has changed and 
they are scared because they don't fully understand it and they see people they 
know losing their jobs.

They also see their neighbors buying high quality, lower priced products from 
abroad and they ask why we can't build these same products or better ones here 
at home?

 The answer is, we  can. But only if we have a public education system which 
will turn out a worldclass product. We need an education system which will 
educate all our students, not just the top 15-20%.

A Highly skilled work force must begin with a world class public education 
system. Eventually, the New Economy will touch every industry in our Nation.  
There will be no place to hide!

 In the New Economy, low skilled manual work will be paid less. The United 
States can not afford to have the high skilled work being done somewhere else 
in the world and us ending up with the low wage work.

This is not an issue about protectionism, it is an issue about an educational 
system aligned with the New Economy and a broad educational opportunity for 
everyone.

 The reorganization of work into decentralized, higher skilled jobs is the 
systemic key to a vital American economy in the future. We are talking about 
the standard of living that we, and our children, and their children will have 
well into the 21st century.

It's America's Choice: High Skills or Low Wages.


