/* AxonController.c -- Modal dialog */
/* Created 9/18/93 5:29 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zAxonController.	*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zAxonController, may be regenerated to handle user interface changes	*/
/*	without losing your hand-coded changes to this module.					*/

#include <Commands.h>
#include <Global.h>
#include <CBartender.h>
#include <CDirectorOwner.h>
#include <TBUtilities.h>
#include "ResourceDefs.h"
#include <CAMButton.h>
#include <CAMButton.h>
#include <CAMDialogText.h>
#include <CAMDialogText.h>
#include <CAMDialogText.h>
#include <CAMDialogText.h>
#include <CAMStaticText.h>
#include <CGrayLine.h>
#include <CAMStaticText.h>
#include <CAMStaticText.h>
#include <CAMStaticText.h>
#include "AxonController.h"
#include <CAMCheckBox.h>

// I added this
#include <string.h>
#include "CNAxonModel.h"

extern	CBartender		*gBartender;	/* The menu handling object */

#define	cmdMeteredRadio		1177 

/*----------*/
void	DoAxonController	(CDirectorOwner	*aSupervisor, CNAxonModel *A)
{
	CAxonController	*dialog;
	long			dismisser;
	nAxonData		adata;

	dialog = NULL;
	TRY {
		dialog = new CAxonController;
		dialog->IAxonController (aSupervisor);
	
		/* initialize dialog panes */
		A->GetAxonData (&adata);
		dialog->PutDataToDialog (&adata);
	
		dialog->BeginDialog ();
		dismisser = dialog->DoModalDialog (cmdOK);	
	
		if (dismisser == cmdOK) {
			/* extract values from dialog panes */
			dialog->GetDataFromDialog (&adata);
			A->SetAxonData (&adata);
			
		}
	
		dialog->Dispose ();
	} CATCH {
		ForgetObject (dialog);
	} ENDTRY;

} /* DoAxonController */

/*----------*/
void	CAxonController::IAxonController	(CDirectorOwner	*aSupervisor)
{
	inherited::IZAxonController (aSupervisor);

	// any additional initialization for your dialog

} /* IAxonController */

/*----------*/
void	CAxonController::UpdateMenus	(void)
{
	inherited::UpdateMenus ();

} /* UpdateMenus */

/*----------*/
void	CAxonController::DoCommand		(long		theCommand)
{
	switch (theCommand) {
		case cmdMeteredRadio:
				/* DoMeteredRadio ();	*/
			break;
		
		default:
				inherited::DoCommand (theCommand);
			break;
	} /* switch */

} /* DoCommand */
	
/*----------*/
void	CAxonController::ProviderChanged	(CCollaborator	*aProvider,
										 long			reason,
										 void*			info)

{
	if (aProvider == Field3) {
		if (Field3->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field4) {
		if (Field4->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field5) {
		if (Field5->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field6) {
		if (Field6->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	
} /* ProviderChanged */


/*****************/


void CAxonController::GetDataFromDialog (nAxonData *data)
{
	// I had to use "char []" instead of StringPtr because I don't know how to allowcate
	// memory with pascal strings.
	char pStringTemp[NAMELEN];
	float	tempVal;  		// a shadow.
	
	Field3->GetTextString(((StringPtr) pStringTemp));
	strcpy (data->aName, PtoCstr(((StringPtr) pStringTemp)));

	Field4->GetTextString(((StringPtr) pStringTemp));
	sscanf(PtoCstr(((StringPtr) pStringTemp)), "%f", &tempVal);
	data->length = tempVal;

	Field5->GetTextString(((StringPtr) pStringTemp));
	sscanf(PtoCstr(((StringPtr) pStringTemp)), "%f", &tempVal);
	data->velocity = tempVal;

	Field6->GetTextString(((StringPtr) pStringTemp));
	sscanf(PtoCstr(((StringPtr) pStringTemp)), "%f", &tempVal);
	data->decay_coeff = tempVal;
	
	data->metered = MeteredCheck->IsChecked ();

}


void CAxonController::PutDataToDialog (nAxonData *data)
{
	char cStringTemp[NAMELEN];
	
	strcpy (cStringTemp, data->aName);
	Field3->SetTextString(CtoPstr(cStringTemp));

	sprintf(cStringTemp, "%.3f", data->length);
	Field4->SetTextString(CtoPstr(cStringTemp));

	sprintf(cStringTemp, "%.3f", data->velocity);
	Field5->SetTextString(CtoPstr(cStringTemp));

	sprintf(cStringTemp, "%.3f", data->decay_coeff);
	Field6->SetTextString(CtoPstr(cStringTemp));
	
	MeteredCheck->SetValue ((data->metered) ? BUTTON_ON : BUTTON_OFF);


}	






/* AxonController */
