#pragma once

/******************************************************************************
 CNAxonView.h

		Interface for the NAxonView Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
	 
	 	Object: Axon
	 
	 	An axon branch as defined by the Bon model
	 	Note that this is a subclass of CNObjectView.
 
 ******************************************************************************/
 
#define _H_CNAxonView

#include "CNObjectView.h"

class CView;
class CBureaucrat;
class CNObjectView;
class CNAxonModel;
class CArray;


class CNAxonView : public CNObjectView {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	CArray		*itsGraphicData;

								/** Instance Methods **/
								/** Contruction/Destruction **/
	void		INAxonView(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin, 
							CNAxonModel		*aNAxonModel);
	virtual void	Dispose(void);
	void 		DoDialog(void);
	void		DoClick(Point hitPt, short modifierKeys, long when);
	CNObjectView	*CopyNOViewInto(CView *anEnclosure, CBureaucrat *aSupervisor);
	void		INOViewCopy(CNObjectView *theCopy);
	
private:
	void		PrintGDataArray(void);   // for debugging
};

 
 