#pragma once

/******************************************************************************
 CNDendriteViewTask.h

	Interface for the NDendriteViewTask Class
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/
 
#define _H_CNDendriteViewTask

#include "CNOViewTask.h"					/* Interface for its superclass		*/

class CArray;
class CNHotSpotView;

#define DENDRITE_HOTPT_WIDTH 20


class CNDendriteViewTask : public CNOViewTask {		/* Class Declaration				*/

public:
							/** Instance Variables **/
	// We save the data of this newItem, so we can "Redo" its "Undo".
	// We do not need "CNDendriteView::itsData" because parameters are set to default when new.
	CArray	*itsGraphicData;

							/** Instance Methods **/
	void	INDendriteViewTask(short aNameIndex, CNBrainPan *aNBrainPan);
	void	Dispose(void);
	void	BeginTracking(LongPt *startPt);
	void	UseTool(LongPt *currPt, LongPt *prevPt);
	void	AppendGraphicDataPt(LongPt *newPoint);
	void	CreateNewNOView(void);

protected:
	void	InitRegionWithGModel(RgnHandle tempRegion, CArray *tempGraphicData);
	void	CalcHSVBoundRect(LongRect *boundingRect, LongPt aLocationPt);
	
private:
	long	numGraphicData;  // Needed for "Redo"
	void	CalcGModelBoundRect(LongRect *boundRect);
};