/******************************************************************************
 CNNervousClipboard.h

		Interface for the NNervousClipboard Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	Note: you must call EmptyPrivateScrap or EmptyScrap before calling PutPrivateScrap 
	or PutData.

 ******************************************************************************/
 
#define _H_CNNervousClipboard

#include "CClipboard.h"					/* Interface for its superclass		*/

class CNOViewOwner;

class CNNervousClipboard : public CClipboard {			/* Class Declaration				*/

public:
								/** Instance Variables **/
									
								/** My Overridden Instance Methods. **/
	void		Dispose(void);
	
								/** Overridden Instance Methods from CClipboard **/
    void        INNervousClipboard(  CApplication *aSupervisor, Boolean hasWindow);

	void		ConvertGlobal(void);
	void		ConvertPrivate(void);
	void		UpdateDisplay(void);
	CPanorama*	MakeClipViewPrivate(void);
	void		PutPrivateScrap(ResType theType, CNOViewOwner *thePrivateData);
	Boolean		GetPrivateScrap(ResType theType, CNOViewOwner **thePrivateData);
	void		EmptyPrivateScrap(void);
	Boolean		PrivateNOVOwnerIsEmpty(void);

protected:
	CNOViewOwner	*itsPrivateNOVOwner;
	ResType 	itsPrivateType;
};