#pragma once

/******************************************************************************
 CNNeuronView.h

		Interface for the NNeuronView Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
 
 ******************************************************************************/
 
#define _H_CNNeuronView

#include "CNOVCollection.h"						/* Interface for its superclass		*/

class CView;
class CBureaucrat;
class CNObjectView;
class CNNeuronModel;
class CNHotSpotView;


class CNNeuronView : public CNOVCollection {		/* Class Declaration				*/

public:
	void			INNeuronView(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin, 
							CNNeuronModel	*aNNeuronModel);
	virtual void	Dispose(void);
	CNObjectView	*CopyNOViewInto(CView *anEnclosure, CBureaucrat *aSupervisor);
	void			INOViewCopy(CNObjectView *theCopy);
	virtual void	INModelCopy(CNObjectView *theCopy);
	virtual Boolean		ContainsSoma(void);
	virtual void	FindHSpotWithinTraveledObj(CNObjectView *aNOView, 
							CNObjectView *aCopiedNOView, CNHotSpotView **aNHSpot);
	virtual void	SetCopiedModelsIdenticalToOriginals(CNObjectView *aNOView, 
							CNObjectView *aCopiedNOView);
};

 
 