#pragma once

/******************************************************************************
 CNOVCollection.h

		Interface for the NOVCollection Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
 
 ******************************************************************************/
 
#define _H_CNOVCollection

#include "CNObjectView.h"						/* Interface for its superclass		*/

class CView;
class CBureaucrat;
class CNObjectView;
class CNHotSpotView;


class CNOVCollection : public CNObjectView {		/* Class Declaration				*/

public:
	void			INOVCollection(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin);
	virtual void	Dispose(void);
	void			DoClickEnclosure(Point hitPt, short modifierKeys, long when, 
							CNObjectView  *aNOView);
	virtual void	EncloseWith(CNObjectView *aSubview);
	virtual void	Draw(Rect *area);
	virtual void	ObtainTravelerForCollection(CNObjectView **aNOView, CNHotSpotView **aNHSpot);
	virtual void	FindHSpotWithinTraveledObj(CNObjectView *aNOView, 
							CNObjectView *aCopiedNOView, CNHotSpotView **aNHSpot);
	virtual void	SetCopiedModelsIdenticalToOriginals(CNObjectView *aNOView, 
							CNObjectView *aCopiedNOView);
	virtual void	INModelCopy(CNObjectView *theCopy);

protected:
	virtual void	ShrinkWrapWithout(CNObjectView *aSubview);
	virtual void	InitLocationByFirstSubview(CNObjectView	*firstSubview);
};

 
 