/******************************************************************************
 CNOViewCmdTask.h

	Interface for the NOViewCmdTask Class
	
	Copyright  1993 by Daniel McFarlane. All rights reserved.

	The basic work done by this task is the implementation of Cut/Copy/Paste.
	The objects acted upon are refered to by an instance of CNOViewOwner.
 ******************************************************************************/
 
#define _H_CNOViewCmdTask

#include "CTask.h"					/* Interface for its superclass		*/
#include "CNMyGlobals.h"

class CNBrainPan;
class CNOViewOwner;


class CNOViewCmdTask : public CTask {			/* Class Declaration				*/

public:
								/** Instance Variables **/
	CNBrainPan			*itsNBrainPan;
	
								/** Instance Methods **/
	void		INOViewCmdTask(short aNameIndex, long theCommand, CNBrainPan *aNBrainPan);
	
	virtual	void	Dispose(void);
	virtual void	Do(void);
	virtual void	Undo(void);
	virtual void	Redo(void);
	
private:
	long	myCmd;

	// The instances of CNObjectView:: that are currently selected.
	CNOViewOwner 	*itsNOVOwner;
	CNOViewOwner	*itsNOVOwnerFromClip;
	Boolean		fDistructiveCommand;		// Used in "Dispose"
};


