/******************************************************************************
 CNOViewOwner.h

		Interface for CNOViewOwner class
		
	SUPERCLASS = CBureacrat
	
	Copyright  1993 by Daniel McFarlane. All rights reserved.
	

 ******************************************************************************/

#define _H_CNOViewOwner

#include "CBureaucrat.h"
#include "LongCoordinates.h"

class CNOViewOwner;
class CNObjectView;
class CList;
class CNBrainPan;
class CBureaucrat;
class CObject;
class CPane;
class CView;


class CNOViewOwner : public CBureaucrat
{
public:	
	// IMethods for managing the list:
	void 	INOViewOwner(CBureaucrat *aSupervisor);
	void	Dispose(void);
	void	DisposeAll(void);
	void	SetEmptyAll(void);
	CNOViewOwner *CopyNOVOwnerFor(CBureaucrat *aSupervisor);
	CNOViewOwner *CopyNOVOwnerActualFor(CNBrainPan *newNBrainPan);
	void	ProviderChanged( CCollaborator *aProvider, long reason, void* info);
	void	AcquireNOView(CNObjectView *aNOView);
	void	RelinquishNOView(CNObjectView *aNOView);
	Boolean	IsEmpty(void);

	// IMethods for manipulating the objects pointed-to by the list:
	void	TravelAllTo(CPane *aPane);
	void	SetFSelectedAll(Boolean fStatus);
	void	SetFBeingDraggedAll(Boolean fStatus);
	void	InitGraphicalBookmarkAll(void);
	void	ToggleMoveToGBookmarkAll(void);
	void	MoveByAll(LongPt *delta);
	void	GetBoundingRect(LongRect *myBoundingRect);
	void	SetFDrawHotSpotsAll(Boolean fDraw);
	void	Union(CNOViewOwner *aNOVOwner);
	void	Not(CNOViewOwner *aNOVOwner);
	CList	*GetPossessions(void);
	void	PrintAll(void);
	void	InitToAllSubviews(CNObjectView *aNObjectView);
	
private:
	LongRect	itsBoundingRect;
	
	static void	SetMemberFSelectionStatus(CObject *member, long status);
	static void	SetMemberFDrawHotSpots(CObject *member, long status);
	static void	SetMemberFBeingDraggedStatus(CObject *member, long status);
	static void	SendMoveBy(CObject *member, long status);
	static void	SendInitGraphicalBookmark(CObject *member);
	static void	SendToggleMoveToGBookmark(CObject *member);
	static void NotEach(CObject *member, long infoAddr);
	static void UnionEach(CObject *member, long infoAddr);
	static void SetEmptyEach(CObject *member, long infoAddr);
	static void	SendObtainTraveler(CObject *member, long infoAddr);
};


