#pragma once

/******************************************************************************
 CNOViewTask.h

		Interface for the NOViewTask Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/
 
#define _H_CNOViewTask

#include "CMouseTask.h"						/* Interface for its superclass		*/
#include "LongCoordinates.h"

class CNBrainPan;
class CNObjectView;
class CApplication;
class CSwitchboard;


class CNOViewTask : public CMouseTask {			/* Class Declaration				*/

public:
								/** Instance Variables **/
	CNBrainPan		*itsNBrainPan;
	CNObjectView	*itsNewNOView;
	RgnHandle 		itsRegion;
	short			penWidth;

								/** Instance Methods **/
	void			INOViewTask(short aNameIndex, CNBrainPan *aNBrainPan);
	virtual	void	Dispose(void);
	virtual	void	Undo(void);
	virtual void	Redo(void);
	virtual void	BeginTracking(struct LongPt *startPt);
	virtual void	KeepTracking(struct LongPt *currPt, struct LongPt *prevPt, struct LongPt *startPt);
	virtual void	EndTracking(struct LongPt *currPt, struct LongPt *prevPt, struct LongPt *startPt);
	virtual void	UseTool(LongPt *currPt, LongPt *prevPt);
	virtual void	CalcDrawRgn(LongRect *currRect, LongRect *prevRect, RgnHandle drawRgn);
	virtual void	CalcPenRect(LongPt *thePt, LongRect *penRect);
	virtual void	CreateNewNOView(void);
};