#pragma once

/******************************************************************************
 CNSomaView.h

		Interface for the NSomaView Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
	 
		Object: Soma
	 
	 	A Soma is the body of the neuron and is the part responsible
	 	for a neuron's firing.
	 
	 	Members are arranged in groups involving I/O potentials, threshold
	 	available firing potential, learning and firing. 
	 
	 	Note that Soma is a subclass of CNObjectView.

 ******************************************************************************/
 
#define _H_CNSomaView

#include "CNObjectView.h"						/* Interface for its superclass		*/
#include "LongCoordinates.h"

class CView;
class CBureaucrat;
class CNObjectView;
class CNSomaModel;


class CNSomaView : public CNObjectView {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	LongRect	itsGraphicData;

								/** Instance Methods **/
								/** Contruction/Destruction **/
	void		INSomaView(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin, 
							CNSomaModel		*aNSomaModel);
	virtual void	Dispose(void);
	void 		DoDialog(void);
	void		DoClick(Point hitPt, short modifierKeys, long when);
	CNObjectView	*CopyNOViewInto(CView *anEnclosure, CBureaucrat *aSupervisor);
	void		INOViewCopy(CNObjectView *theCopy);

};
 
 
