#pragma once

/******************************************************************************
 CNSomaViewTask.h

	Interface for the NSomaViewTask Class
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/
 
#define _H_CNSomaViewTask

#include "CNOViewTask.h"					/* Interface for its superclass		*/
#include "LongCoordinates.h"

class CNHotSpotView;

#define SOMA_SIZE 60
#define SOMA_HOTPT_SIZE 70


class CNSomaViewTask : public CNOViewTask {		/* Class Declaration				*/

public:
							/** Instance Variables **/
	// We save the data of this newItem, so we can "Redo" its "Undo".
	// We do not need "CNSomaView::itsData" because parameters are set to default when new.
	LongRect	itsGraphicData;

							/** Instance Methods **/
	void	INSomaViewTask(short aNameIndex, CNBrainPan *aNBrainPan);
	void	Dispose(void);
	void	BeginTracking(LongPt *startPt);
	void	CreateNewNOView(void);

protected:
	void	InitRegionWithGModel(RgnHandle tempRegion, LongRect *tempGraphicData);
	void	CalcHSVBoundRect(LongRect *boundingRect, LongPt aLocationPt);
	
private:
	LongPt	locationPt;
	void	CalcGModelBoundRect(LongRect *boundRect);
};