#pragma once

/******************************************************************************
 CNStimulatorView.h

		Interface for the NStimulatorView Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
	 
		Object: Stimulator
	 
	 	A Stimulator is a cell that initiates a signal to a neuron.
	 
	 	Note that Stimulator is a subclass of CNObjectView.

 ******************************************************************************/
 
#define _H_CNStimulatorView

#include "CNObjectView.h"						/* Interface for its superclass		*/
#include "LongCoordinates.h"

class CView;
class CBureaucrat;
class CNObjectView;
class CNTrainCellModel;


class CNStimulatorView : public CNObjectView {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	LongRect	itsGraphicData;

								/** Instance Methods **/
								/** Contruction/Destruction **/
	void		INStimulatorView(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin, 
							CNTrainCellModel		*aNTrainCellModel);
	virtual void	Dispose(void);
	void 		DoDialog(void);
	void		DoClick(Point hitPt, short modifierKeys, long when);
	CNObjectView	*CopyNOViewInto(CView *anEnclosure, CBureaucrat *aSupervisor);
	void		INOViewCopy(CNObjectView *theCopy);

};
 
 
