#pragma once

/******************************************************************************
 CNStimulatorViewTask.h

	Interface for the NStimulatorViewTask Class
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/
 
#define _H_CNStimulatorViewTask

#include "CNOViewTask.h"					/* Interface for its superclass		*/
#include "LongCoordinates.h"

class CNHotSpotView;

#define STIMULATOR_SIZE 30
#define STIMULATOR_HOTPT_SIZE 40


class CNStimulatorViewTask : public CNOViewTask {		/* Class Declaration				*/

public:
							/** Instance Variables **/
	// We save the data of this newItem, so we can "Redo" its "Undo".
	// We do not need "CNStimulatorView::itsData" because parameters are set to default when new.
	LongRect	itsGraphicData;

							/** Instance Methods **/
	void	INStimulatorViewTask(short aNameIndex, CNBrainPan *aNBrainPan);
	void	Dispose(void);
	void	BeginTracking(LongPt *startPt);
	void	CreateNewNOView(void);

protected:
	void	InitRegionWithGModel(RgnHandle tempRegion, LongRect *tempGraphicData);
	void	CalcHSVBoundRect(LongRect *boundingRect, LongPt aLocationPt);
	
private:
	LongPt	locationPt;
	void	CalcGModelBoundRect(LongRect *boundRect);
};