#pragma once

/******************************************************************************
 CNSynapseView.h

		Interface for the NSynapseView Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).

	 	Biological Neural Net Simulator based on the Bon thesis
	 
	 	Object: Synapse
	 
	 	A synapse as defined in the Bon model.
	 
	 	Note that Synapse is a subclass of CNObjectView.
		
 ******************************************************************************/
 
#define _H_CNSynapseView

#include "CNObjectView.h"						/* Interface for its superclass		*/
#include "LongCoordinates.h"

#define INHIBITORY 0
#define EXCITORY 1

class CView;
class CBureaucrat;
class CNSynapseModel;

class CNSynapseView : public CNObjectView {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	LongRect	itsGraphicData;

								/** Instance Methods **/
								/** Contruction/Destruction **/
	void		INSynapseView(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin, 
							CNSynapseModel		*aNSynapseModel);
	virtual void	Dispose(void);
	void 		DoDialog(void);
	void		DoClick(Point hitPt, short modifierKeys, long when);
	CNObjectView	*CopyNOViewInto(CView *anEnclosure, CBureaucrat *aSupervisor);
	void		INOViewCopy(CNObjectView *theCopy);
};
