#pragma once

/******************************************************************************
 CNSynapseViewTask.h

	Interface for the NSynapseViewTask Class
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/
 
#define _H_CNSynapseViewTask

#include "CNOViewTask.h"					/* Interface for its superclass		*/
#include "LongCoordinates.h"

class CNHotSpotView;

#define SYNAPSE_SIZE 12
#define SYNAPSE_HOTPT_SIZE 15


class CNSynapseViewTask : public CNOViewTask {		/* Class Declaration				*/

public:
							/** Instance Variables **/
	// We save the data of this newItem, so we can "Redo" its "Undo".
	// We do not need "CNSynapseView::itsData" because parameters are set to default when new.
	LongRect	itsGraphicData;

							/** Instance Methods **/
	void	INSynapseViewTask(short aNameIndex, CNBrainPan *aNBrainPan);
	void	Dispose(void);
	void	BeginTracking(LongPt *startPt);
	void	CreateNewNOView(void);

protected:
	void	InitRegionWithGModel(RgnHandle tempRegion, LongRect *tempGraphicData);
	void	CalcHSVBoundRect(LongRect *boundingRect, LongPt aLocationPt);
	
private:
	LongPt	locationPt;
	void	CalcGModelBoundRect(LongRect *boundRect);
};