/* MainWindow.c -- window methods */
/* Created 4/8/93 1:55 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zMainWindow.		*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zMainWindow, may be regenerated to handle user interface changes		*/
/*	without losing your hand-coded changes to this module.					*/

#include <Commands.h>
#include <CBartender.h>
#include <CDecorator.h>
#include <CDirector.h>
#include <TBUtilities.h>
#include "ResourceDefs.h"
#include <CAMButton.h>
#include <CScrollPane.h>
#include <CPanorama.h>
#include "NervousSystemData.h"
#include "MainWindow.h"
#include "CNBrainPan.h"
#include "NervousSystemDoc.h"
#include "SimulationController.h"


extern	CBartender		*gBartender;	/* The menu handling object */
extern	CDecorator		*gDecorator;	/* Window dressing object */

#define	cmdPalette1			1168 

// My variables for MainWindow.
enum nTool gNTool;


/*----------*/
void	CMainWindow::IMainWindow	(CDirector			*aSupervisor,
									 CNervousSystemData	*theData)
{
	itsData = theData;
	inherited::IZMainWindow (aSupervisor);
	gDecorator->StaggerWindow (this);

	// any additional initialization for your window
	gNTool = POINTER;
	itsMainPane = (CNBrainPan *) User5;

} /* IMainWindow */


/******************************************************************************
 IMainWindowForLimboDoc

	Initialize this window as a component of the gNLimbo Document.
******************************************************************************/

void	CMainWindow::IMainWindowForLimboDoc	(CDirector			*aSupervisor,
									 CNervousSystemData	*theData)
{
	itsData = theData;
	inherited::IZMainWindow (aSupervisor);

	// any additional initialization for your window
	gNTool = POINTER;
	itsMainPane = (CNBrainPan *) User5;
}


/*----------*/
// This overrides the parent's NewUser5 to create a subclass of CPanorama
CPanorama	*CMainWindow::NewUser5	(void)
{
	CNBrainPan			*pane;

	pane = new CNBrainPan;
	return (pane);

} /* NewUser5 */


/*----------*/
void	CMainWindow::UpdateMenus	(void)
{
	inherited::UpdateMenus ();

} /* UpdateMenus */


/*----------*/
void	CMainWindow::DoCommand		(long		theCommand)
{
	switch (theCommand) {
		case cmdPalette1:
			DoPalette1 ();
			break;
		
		default:
				inherited::DoCommand (theCommand);
			break;
	} /* switch */

} /* DoCommand */


/*----------*/
void	CMainWindow::ProviderChanged	(CCollaborator	*aProvider,
										 long			reason,
										 void*			info)
{
	
} /* ProviderChanged */


/*----------*/
void	CMainWindow::DoPalette1		(void)
{
	short chosenTool;
	CNervousSystemDoc	*aNervousSystemDoc = NULL;
	
	// Set gNTool to the new choice.
	chosenTool = Palette1->GetValue();
	
	// Reset User5.itsSelection, because another tool has been chosen.
	if (!((gNTool == POINTER) && (chosenTool == 1)))
		((CNBrainPan *) User5)->ResetSelectionList();
		
	switch (chosenTool) {
	
		case 1:
			gNTool = POINTER;
			break;
			
		case 2:
			gNTool = METER;
			break;
			
		case 3:
			gNTool = STIMULATORCELL;
			break;
			
		case 4:
			gNTool = DENDRITE;
			break;
			
		case 5:
			gNTool = SOMA;
			break;
			
		case 6:
			gNTool = AXON;
			break;
			
		case 7:
			gNTool = SYNAPSE;
			break;
			
		case 8:
			gNTool = SIMULATIONSTART;
			
			// Do the simulation here.
			aNervousSystemDoc = ((CNBrainPan *) itsMainPane)->GetMyNervousSysDoc();
			DoSimulationController(aNervousSystemDoc);
			break;
			
		case 9:
			gNTool = SIMULATIONSTOP;
			break;

		default:
			printf("The tool selected was not in the switch list, CMainWindow::DoPalette1()\n");
			exit(1);
			break;
	}
} /* DoPalette1 */


/* MainWindow.c */
