/* NervousSystemApp.c -- application methods */
/* Created 2/9/93 12:01 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zNervousSystemApp.	*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zNervousSystemApp, may be regenerated to handle user interface changes	*/
/*	without losing your hand-coded changes to this module.					*/

#include <Commands.h>
#include <CBartender.h>
#include <CWindow.h>
#include <Global.h>
#include "ResourceDefs.h"
#include "NervousSystemData.h"
#include "NervousSystemApp.h"
#include "CNNervousClipboard.h"
#include "NervousSystemDoc.h"
#include "CNBrainPan.h"
#include "CNSystemLimboDoc.h"

// External variables from GlobalVars.c
extern	OSType		 gSignature;
extern	CBartender	*gBartender;
extern CClipboard	*gClipboard;		/* Copies and Pastes data			*/
extern CNervousSystemDoc *gNLimbo;

// My Application-specific global vars.


Pattern			gPattern;				/* The current fill pattern			*/


/*----------*/
void	CNervousSystemApp::INervousSystemApp	(void)
{
	inherited::INervousSystemApp ();
	
	// your application-specific initialization:

	// Create a hidden/inactive document to act as NOView Limbo.
	CreateLimboDocument();

} /* INervousSystemApp */


/******************************************************************************
 CreateLimboDocument
 
 ******************************************************************************/

void	CNervousSystemApp::CreateLimboDocument	(void)
{
	myNLimboDoc = new CNSystemLimboDoc;
	myNLimboDoc->INervousSystemDoc (this, FALSE);
	myNLimboDoc->NewFile();
	
	// Initialize my global variable gNLimbo to point to this->myNLimboDoc.
	gNLimbo = NULL;
	gNLimbo = myNLimboDoc;
}


/******************************************************************************
 MakeClipboard
 
		Create the global Clipboard object
 ******************************************************************************/

void	CNervousSystemApp::MakeClipboard( void)
{
	CNNervousClipboard	*nervousClipboard = new(CNNervousClipboard);
	
	nervousClipboard->INNervousClipboard( this, TRUE);
	gClipboard = nervousClipboard;
}


/*----------*/
void	CNervousSystemApp::SetUpFileParameters	(void)
{
	inherited::SetUpFileParameters ();
	sfNumTypes = 1;
	sfFileTypes [0] = kFileType;
	gSignature = kSignature;

} /* SetUpFileParameters */

/*----------*/
void	CNervousSystemApp::UpdateMenus		(void)
{
	inherited::UpdateMenus ();
	
} /* UpdateMenus */

/*----------*/
void	CNervousSystemApp::DoCommand (long		theCommand)
{
	short		theMenu;
	short		theItem;
	Str255		theItemText;

	if (theCommand < 0) {				/* menu generated dynamically */
		theMenu = HiShort (-theCommand);
		if (theMenu == MENUapple) {
			inherited::DoCommand (theCommand);	/* handle Apple menu in superclass */
		} else {
			theItem = LoShort (-theCommand);
			GetItem (GetMHandle (theMenu), theItem, theItemText);
			/* do the right thing with the text of the item */
		}
	} else {
		switch (theCommand) {
			
			default:
					inherited::DoCommand (theCommand);
				break;
		} /* switch */
	}

} /* DoCommand */

/* NervousSystemApp.c */


/******************************************************************************
 Dispose
 
 	Dispose of the CNervousSystemApp.
******************************************************************************/

void CNervousSystemApp::Dispose( void)
{
	gNLimbo = NULL;
	if (myNLimboDoc) 
		myNLimboDoc->Dispose();

	inherited::Dispose();

}	/* CNervousSystemApp::Dispose */




