/* NervousSystemDoc.c -- document methods */
/* Created 9/23/93 12:22 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zNervousSystemDoc.	*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zNervousSystemDoc, may be regenerated to handle user interface changes		*/
/*	without losing your hand-coded changes to this module.					*/

#include <Commands.h>
#include <CBartender.h>
#include "ResourceDefs.h"
#include "NervousSystemData.h"
#include "SimulationController.h"
#include "MeterSetup.h"
#include "TrainCellController.h"
#include "SingleEventSetup.h"
#include "SingleCycleSetup.h"
#include "CustomEventSetup.h"
#include "CustomCycleSetup.h"
#include "NervousSystemDoc.h"
#include "CNBrainPan.h"

extern	CBartender		*gBartender;	/* The menu handling object */

/*----------*/
void	CNervousSystemDoc::INervousSystemDoc	(CApplication	*aSupervisor,
										 Boolean		printable)
{
	inherited::INervousSystemDoc (aSupervisor, printable);

	// your application-specific initialization:

} /* INervousSystemDoc */


/******************************************************************************
 GetItsMainPane
 
******************************************************************************/

CNBrainPan	*CNervousSystemDoc::GetItsMainPane(void)
{
	return ((CNBrainPan *) itsMainPane);
}


/*----------*/
void	CNervousSystemDoc::UpdateMenus		(void)
{
	inherited::UpdateMenus ();
	gBartender->EnableCmd (cmdStimulationCell);
	gBartender->EnableCmd (cmdDendrite);
	gBartender->EnableCmd (cmdSoma);
	gBartender->EnableCmd (cmdAxon);
	gBartender->EnableCmd (cmdSynapse);
	gBartender->EnableCmd (cmdNewMeter);
	gBartender->EnableCmd (cmdHideMeters);
	gBartender->EnableCmd (cmdSimulationSetup);
	gBartender->EnableCmd (cmdRunSimulation);
	gBartender->EnableCmd (cmdKillSimulation);
	gBartender->EnableCmd (cmdMeterSetup);
	gBartender->EnableCmd (cmdStimCellSetup);
	gBartender->EnableCmd (cmdSingleEventSetup);
	gBartender->EnableCmd (cmdSingleCycleSetup);
	gBartender->EnableCmd (cmdCustomEventSetup);
	gBartender->EnableCmd (cmdCustomCycleSetup);
	gBartender->EnableCmd (cmdx005);
	gBartender->EnableCmd (cmdx0075);
	gBartender->EnableCmd (cmdx01);
	gBartender->EnableCmd (cmdx025);
	gBartender->EnableCmd (cmdx05);
	gBartender->EnableCmd (cmdx075);
	gBartender->EnableCmd (cmdx1);
	gBartender->EnableCmd (cmdx25);
	gBartender->EnableCmd (cmdx5);
	gBartender->EnableCmd (cmdx75);
	gBartender->EnableCmd (cmdx10);
	
} /* UpdateMenus */

/*----------*/
void	CNervousSystemDoc::DoCommand	(long		theCommand)
{
	switch (theCommand) {
		case cmdStimulationCell:
				/* handle StimulationCell choice; */
			break;
		case cmdDendrite:
				/* handle Dendrite choice; */
			break;
		case cmdSoma:
				/* handle Soma choice; */
			break;
		case cmdAxon:
				/* handle Axon choice; */
			break;
		case cmdSynapse:
				/* handle Synapse choice; */
			break;
		case cmdNewMeter:
				/* handle NewMeter choice; */
			break;
		case cmdHideMeters:
				/* handle HideMeters choice; */
			break;
		case cmdSimulationSetup:
				DoSimulationController (this);
			break;
		case cmdRunSimulation:
				/* handle RunSimulation choice; */
			break;
		case cmdKillSimulation:
				/* handle KillSimulation choice; */
			break;
		case cmdMeterSetup:
				DoMeterSetup (this);
			break;
		case cmdStimCellSetup:
			//	DoTrainCellController (this);
			break;
		case cmdSingleEventSetup:
				DoSingleEventSetup (this);
			break;
		case cmdSingleCycleSetup:
				DoSingleCycleSetup (this);
			break;
		case cmdCustomEventSetup:
				DoCustomEventSetup (this);
			break;
		case cmdCustomCycleSetup:
				DoCustomCycleSetup (this);
			break;
		case cmdx005:
				/* handle x005 choice; */
			break;
		case cmdx0075:
				/* handle x0075 choice; */
			break;
		case cmdx01:
				/* handle x01 choice; */
			break;
		case cmdx025:
				/* handle x025 choice; */
			break;
		case cmdx05:
				/* handle x05 choice; */
			break;
		case cmdx075:
				/* handle x075 choice; */
			break;
		case cmdx1:
				/* handle x1 choice; */
			break;
		case cmdx25:
				/* handle x25 choice; */
			break;
		case cmdx5:
				/* handle x5 choice; */
			break;
		case cmdx75:
				/* handle x75 choice; */
			break;
		case cmdx10:
				/* handle x10 choice; */
			break;
		
		default:
				inherited::DoCommand (theCommand);
			break;
	} /* switch */

} /* DoCommand */

/* NervousSystemDoc.c */
