#pragma once

/******************************************************************************
 myGlobals.h
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).


 ******************************************************************************/

#include <Global.h>
#include <Commands.h>
#include <Constants.h>
#include <CFWDesktop.h>
#include <CBartender.h>
#include <CBitMap.h>
#include <CPNTGFile.h>
#include <TBUtilities.h>
#include "CAbstractText.h"
#include <Packages.h>

/*** Global Variables ***/

extern CDesktop		*gDesktop;			/* The visible Desktop				*/
extern CBartender	*gBartender;		/* Manages all menus				*/
extern OSType		gSignature;			/* Creator for Application's files	*/
extern long			gSleepTime;			/* Max time between events			*/

/*** Global Varialbes for Art Class ***/

extern CBitMap			*gScratchPad;			/* Offscreen drawing port & bitmap	*/
extern short			gPaintTool;				/* The current painting tool		*/
extern Pattern			gPattern;				/* The current fill pattern			*/
extern short			gLineSize;				/* The current line size			*/

extern short			gFontNum;				/* Font number						*/
extern short			gFontItem;				/* Item number in Font menu			*/
extern short			gFontSize;				/* Font size						*/
extern short			gSizeItem;				/* Item number in Size menu			*/
extern Style			gFontStyle;				/* Current font style				*/
extern long			gLineSpacing;			/* Line spacing cmd number			*/

extern CursHandle		gShapeCurs;
extern CursHandle		gPencilCurs;
extern CursHandle		gEraserCurs;
extern CursHandle		gBrushCurs;
extern CursHandle		gDragCurs;
extern CursHandle		gSelectCurs;

#define		CURSshape		200
#define		CURSpencil		201
#define		CURSeraser		202
#define		CURSbrush		203
#define		CURSdrag		204
#define		CURSselect		205

#define		kExtraMasters		4
#define		kRainyDayFund		60000
#define		kCriticalBalance	40000
#define		kToolboxBalance		20000

