/* PulseCellController.c -- Modal dialog */
/* Created 11/19/93 12:30 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zPulseCellController.	*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zPulseCellController, may be regenerated to handle user interface changes	*/
/*	without losing your hand-coded changes to this module.					*/

#include <stdio.h>
#include <string.h>
#include <Commands.h>
#include <Global.h>
#include <CBartender.h>
#include <CDirectorOwner.h>
#include <TBUtilities.h>
#include "ResourceDefs.h"
#include <CAMButton.h>
#include <CAMButton.h>
#include <CAMStaticText.h>
#include <CAMStaticText.h>
#include <CAMStaticText.h>
#include <CAMDialogText.h>
#include <CAMDialogText.h>
#include <CAMDialogText.h>
#include <CGrayLine.h>
#include "PulseCellController.h"
#include "CNInputModel.h"

extern	CBartender		*gBartender;	/* The menu handling object */


/*----------*/
void	DoPulseCellController	(CDirectorOwner		*aSupervisor, PulseInput *I)
{
	CPulseCellController	*dialog;
	long			dismisser;
	nPulseInputData	idata;

	dialog = NULL;
	TRY {
		dialog = new CPulseCellController;
		dialog->IPulseCellController (aSupervisor);
	
		/* initialize dialog panes */
		I->GetPulseInputData (&idata);
		dialog->PutDataToDialog (&idata);
			
		dialog->BeginDialog ();
		dismisser = dialog->DoModalDialog (cmdOK);	
	
		if (dismisser == cmdOK) {
			/* extract values from dialog panes */
			dialog->GetDataFromDialog (&idata);
			I->SetPulseInputData (&idata);
			
		}
	
		dialog->Dispose ();
	} CATCH {
		ForgetObject (dialog);
	} ENDTRY;

} /* DoPulseCellController */

/*----------*/
void	CPulseCellController::IPulseCellController	(CDirectorOwner		*aSupervisor)
{
	inherited::IZPulseCellController (aSupervisor);

	// any additional initialization for your dialog

} /* IPulseCellController */

/*----------*/
void	CPulseCellController::UpdateMenus	(void)
{
	inherited::UpdateMenus ();

} /* UpdateMenus */

/*----------*/
void	CPulseCellController::DoCommand		(long		theCommand)
{
	switch (theCommand) {
		
		default:
				inherited::DoCommand (theCommand);
			break;
	} /* switch */

} /* DoCommand */
	
/*----------*/
void	CPulseCellController::ProviderChanged	(CCollaborator	*aProvider,
										 long			reason,
										 void*			info)

{
	if (aProvider == Field6) {
		if (Field6->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field7) {
		if (Field7->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field8) {
		if (Field8->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	
} /* ProviderChanged */

/******************/

void CPulseCellController::GetDataFromDialog (nPulseInputData *data)
{
	// I had to use "char []" instead of StringPtr because I don't know how to allowcate
	// memory with pascal strings.
	char pStringTemp[NAMELEN];
	float	tempVal;  		// a shadow.
	
	Field6->GetTextString(((StringPtr) pStringTemp));
	strcpy (data->aName, PtoCstr(((StringPtr) pStringTemp)));

	Field7->GetTextString(((StringPtr) pStringTemp));
	sscanf(PtoCstr(((StringPtr) pStringTemp)), "%f", &tempVal);
	data->voltage = tempVal;

	Field8->GetTextString(((StringPtr) pStringTemp));
	sscanf(PtoCstr(((StringPtr) pStringTemp)), "%f", &tempVal);
	data->period = tempVal;

}

/*******************/


void CPulseCellController::PutDataToDialog (nPulseInputData *data)
{
	char cStringTemp[NAMELEN];
	
	strcpy(cStringTemp,data->aName);
	Field6->SetTextString(CtoPstr(cStringTemp));

	sprintf(cStringTemp, "%.3f", data->voltage);
	Field7->SetTextString(CtoPstr(cStringTemp));

	sprintf(cStringTemp, "%.3f", data->period);
	Field8->SetTextString(CtoPstr(cStringTemp));

}	


/* PulseCellController */
