/* SimulationController.c -- Modal dialog */
/* Created 11/19/93 12:29 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zSimulationController.	*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zSimulationController, may be regenerated to handle user interface changes	*/
/*	without losing your hand-coded changes to this module.					*/

#include <stdio.h>
#include <string.h>
#include <Commands.h>
#include <Global.h>
#include <CBartender.h>
#include <CDirectorOwner.h>
#include <TBUtilities.h>
#include "ResourceDefs.h"
#include <CAMButton.h>
#include <CAMButton.h>
#include <CAMPopupMenu.h>
#include <CAMPopupPane.h>
#include <CLabeledGroup.h>
#include <CAMRadioControl.h>
#include <CAMDialogText.h>
#include <CAMStaticText.h>
#include <CAMDialogText.h>
#include <CAMStaticText.h>
#include <CAMStaticText.h>
#include <CGrayLine.h>
#include "SimulationController.h"
#include "CNSimulator.h"
#include "CNModelData.h"

extern	CBartender		*gBartender;	/* The menu handling object */


/*----------*/
void	DoSimulationController	(CDirectorOwner		*aSupervisor)
{
	CSimulationController	*dialog;
	long			dismisser;
	char 			StringTemp[NAMELEN];
	float 			tempVal;
	char			filename[NAMELEN];
	float			step;
	float			length;
	CNSimulator		*SSS = NULL;
		

	length = 0.0;
	dialog = NULL;
	TRY {
		dialog = new CSimulationController;
		dialog->ISimulationController (aSupervisor);
	
		/* initialize dialog panes */
		/* defaults :
		       time step = 1.0 ms
		       length = 25 ms
		       filename = simulate_results
		 */
		strcpy (StringTemp, "1.0");
		dialog->Field6->SetTextString(CtoPstr(StringTemp));
		strcpy (StringTemp, "25.0");
		dialog->Field9->SetTextString(CtoPstr(StringTemp));
		strcpy (StringTemp, "simulate_results");
		dialog->Field12->SetTextString(CtoPstr(StringTemp));
		
	
		dialog->BeginDialog ();
		dismisser = dialog->DoModalDialog (cmdOK);	
	
		if (dismisser == cmdOK) {
			/* extract values from dialog panes */
			dialog->Field6->GetTextString((StringPtr) StringTemp);
			sscanf (PtoCstr((StringPtr)StringTemp), "%f", &step);
			
			dialog->Field9->GetTextString((StringPtr) StringTemp);
			sscanf (PtoCstr((StringPtr)StringTemp), "%f", &length);
			
			dialog->Field12->GetTextString((StringPtr) StringTemp);
			strcpy (filename, PtoCstr((StringPtr)StringTemp)); 
		}
	
		dialog->Dispose ();
	} CATCH {
		ForgetObject (dialog);
	} ENDTRY;
	
	/* if the simulation length is greater than 0, run your simulation.
	   you may want to change the cursor to an hourglass here. */
	   
	if (length > 0.0) {
		SSS = new CNSimulator;
		SSS->simulate ((int)(length/step), step, filename);
		SSS->Dispose();
	}   
		

} /* DoSimulationController */

/*----------*/
void	CSimulationController::ISimulationController	(CDirectorOwner		*aSupervisor)
{
	inherited::IZSimulationController (aSupervisor);

	// any additional initialization for your dialog

} /* ISimulationController */

/*----------*/
void	CSimulationController::UpdateMenus	(void)
{
	inherited::UpdateMenus ();

} /* UpdateMenus */

/*----------*/
void	CSimulationController::DoCommand		(long		theCommand)
{
	switch (theCommand) {
		
		default:
				inherited::DoCommand (theCommand);
			break;
	} /* switch */

} /* DoCommand */
	
/*----------*/
void	CSimulationController::ProviderChanged	(CCollaborator	*aProvider,
										 long			reason,
										 void*			info)

{
	if (aProvider == Field6) {
		if (Field6->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field9) {
		if (Field9->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	
} /* ProviderChanged */

/* SimulationController */
