/* TrainCellController.c -- Modal dialog */
/* Created 11/19/93 12:30 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/*	This module overrides the AppMaker-generated code in zTrainCellController.	*/
/*	It provides a place for you to add your own code and still be able to	*/
/*	generate code for new changes to the user interface.  This module will	*/
/*	not be regenerated by AppMaker unless you delete it.  Its superclass,	*/
/*	zTrainCellController, may be regenerated to handle user interface changes	*/
/*	without losing your hand-coded changes to this module.					*/

#include <stdio.h>
#include <string.h>
#include <Commands.h>
#include <Global.h>
#include <CBartender.h>
#include <CDirectorOwner.h>
#include <TBUtilities.h>
#include "ResourceDefs.h"
#include <CAMButton.h>
#include <CAMButton.h>
#include <CAMStaticText.h>
#include <CAMStaticText.h>
#include <CAMDialogText.h>
#include <CAMDialogText.h>
#include <CGrayLine.h>
#include <CAMButton.h>
#include "TrainCellController.h"
#include "CNInputModel.h"

extern	CBartender		*gBartender;	/* The menu handling object */
CTrainCellController *cur_dialog;
CNTrainCellModel *cur_input;

#define	cmdReReadButton		1171 

/*----------*/
void	DoTrainCellController	(CDirectorOwner		*aSupervisor, CNTrainCellModel *I)
{
	CTrainCellController	*dialog;
	long			dismisser;
	nTrainInputData	idata;
	
	dialog = NULL;
	TRY {
		dialog = new CTrainCellController;
		dialog->ITrainCellController (aSupervisor);
		cur_dialog = dialog;
		cur_input = I;
	
		/* initialize dialog panes */
		I->GetTrainInputData (&idata);
		dialog->PutDataToDialog (&idata);
	
		dialog->BeginDialog ();
		dismisser = dialog->DoModalDialog (cmdOK);	
	
		if (dismisser == cmdOK) {
			/* extract values from dialog panes */
			dialog->GetDataFromDialog (&idata);
			I->SetTrainInputData (&idata);
			if (strcmp (idata.fname, "<none>"))
				if (! (I->InitF (idata.fname, 1)) ) {
				      /* pop up file not found alert message here */
				}
		}
	
		dialog->Dispose ();
	} CATCH {
		ForgetObject (dialog);
	} ENDTRY;

} /* DoTrainCellController */

/*----------*/
void	CTrainCellController::ITrainCellController	(CDirectorOwner		*aSupervisor)
{
	inherited::IZTrainCellController (aSupervisor);

	// any additional initialization for your dialog

} /* ITrainCellController */

/*----------*/
void CTrainCellController::DoReReadButton (void)
{
	nTrainInputData	idata;
	
/*
 *		reinitialize the file without checking
 */
 	cur_dialog->GetDataFromDialog (&idata);
 	if (! (cur_input->InitF (idata.fname, 0))) {
 		/* pop up file not found alert message here */
 	}
 	

} /* DoReReadButton */

/*----------*/
void	CTrainCellController::UpdateMenus	(void)
{
	inherited::UpdateMenus ();

} /* UpdateMenus */

/*----------*/
void	CTrainCellController::DoCommand		(long		theCommand)
{
	switch (theCommand) {
		case cmdReReadButton:
				DoReReadButton ();
			break;
		
		default:
				inherited::DoCommand (theCommand);
			break;
	} /* switch */

} /* DoCommand */
	
/*----------*/
void	CTrainCellController::ProviderChanged	(CCollaborator	*aProvider,
										 long			reason,
										 void*			info)

{
	if (aProvider == Field5) {
		if (Field5->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	if (aProvider == Field8) {
		if (Field8->GetLength () == 0) {
			// text is empty
		} else {
			// there is some text
		}
	}
	
} /* ProviderChanged */



void CTrainCellController::GetDataFromDialog (nTrainInputData *data)
{
	// I had to use "char []" instead of StringPtr because I don't know how to allowcate
	// memory with pascal strings.
	char pStringTemp[NAMELEN];
	
	Field5->GetTextString(((StringPtr) pStringTemp));
	strcpy (data->aName, PtoCstr(((StringPtr) pStringTemp)));

	Field8->GetTextString(((StringPtr) pStringTemp));
	strcpy (data->fname, PtoCstr(((StringPtr) pStringTemp)));

}

/*******************/


void CTrainCellController::PutDataToDialog (nTrainInputData *data)
{
	char cStringTemp[NAMELEN];
	
	strcpy(cStringTemp,data->aName);
	Field5->SetTextString(CtoPstr(cStringTemp));
	
	strcpy(cStringTemp,data->fname);
	Field8->SetTextString(CtoPstr(cStringTemp));

}	




/* TrainCellController */
