/********************************************************************************
 CNComposite
 
	Source code for "NervousSystem"
	Copyright  1994 Joe Geigel. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).
	
 	Object: CNCompositeModel
 
 	An CNCompositeModel is a model element made up of two or more CNModelElems.
 	
 	There are currently two subclasses: 
 	
 		CNNeuronModel - A collection of CNModelElems.
 		CNNetworkModel - A collection of CNNetworkModels.
 
 *********************************************************************************/
 
 #pragma once
 
#include <stdio.h>
#include "CNModel.h"

class CList;
class CNModelList;
class CNConnectionList;
class CNNeuronList;


 class CNCompositeModel : public CNModel {
public:

 	int is_composite (void);
 	virtual void MakeConnections (CList *item);
 	
};


class CNNeuronModel : public CNCompositeModel {
public:
	CNModelList	*us;
	
public:
	void INNeuronModel (void);

	void add_model (CNModel *M);
	CNModel *CopyModel (void);
	CNModel *findCopiedElem (CNModel *elem);
	void MakeConnections (CList *items);
};


class CNNetworkModel : public CNCompositeModel { 
private:
	CNNeuronList		*us;
	CNConnectionList	*connections;
	
public:
	void INNetworkModel (void);
	
	void add_neuron (CNNeuronModel *M);
	void define_connection (CNModel *in, CNModel *out);
	
	void fold_in_network (CNNetworkModel *N);
	
	CNModel *CopyModel (void);
	void MakeConnections (CList *items);
};
