/*
 *
 *	Biological Neural Net Simulator based on the Bon thesis
 *
 *	methods for Object: CNDelayQueue
 *
 */
 
#include "CNDelayQueue.h"

/*
 *		Init - initialization (since you can't pass arguments
 *			   to THINK C constructors.  You give it the amount 
 *			   of delay time needed to get through the queue.
 */
int CNDelayQueue::Init (int t)
{
		int i;
		
		inherited::INModel();

		delay = t;
		cur = 0;
		for (i=0; i< delay; i++) voltage[i] = 0.0;
		
		return 1;
}


 
/*
 *		now - Returns the voltage for the current time step
 */
 
float CNDelayQueue::now (void)
{
		return (voltage[cur]);
}



/*
 *		later - Register a voltage that is to be manifested 
 *				after a given delay.  Call of this function
 *				also indicates that another time step has passed.
 *				It SHOULD be called after a call to "now" for every 
 *				time step (even if the voltage to be manifested later
 *				is 0.0)
 */
 
 void CNDelayQueue::later (float v)
 {
 		voltage[cur] = v;
 		cur++;
 		if ((cur > delay) || (cur == delay)) cur = 0;
  
 }
 
 