
/******************************************************************************
 CNModel.c
		
		Source code for "NervousSystem"
		Copyright  1994 Joe Geigel. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
	 
	 	Object: CNModel
	 
	    Placeholder class so that all object classes involved with the
	    model and simulation can be under the same tree in the class 
	    heirarchy
 
 ******************************************************************************/
 
 #include "CNModel.h"
 #include <CList.h>
 
 void CNModel::INModel (void)
 {
 	copy_of = NULL;
 	copied_as = NULL;
 }
 
 void CNModel::RegisterAsCopied (void)
 {
 	copy_of->copied_as = this;
 }
 
 
 void CNModel::RegisterAsCopy (CNModel *M)
 {
 	copy_of = M;
 }
 
 
 void CNModel::CopyConnect (void) {}
 
 void CNModel::MakeConnectionCopy (void)
 {
 	((CNModel *)copy_of)->CopyConnect ();
 }
 
void CNModel::MakeConnections (CList *L)  { }
void CNModel::MakeIdentical (CNModel *M) { }
CNModel *CNModel::CopyModel (void) { return NULL; }

 