#pragma once

/******************************************************************************
 CNModel.h
		
		Source code for "NervousSystem"
		Copyright  1994 Joe Geigel. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
	 	Biological Neural Net Simulator based on the Bon thesis
	 
	 	Object: CNModel
	 
	    Placeholder class so that all object classes involved with the
	    model and simulation can be under the same tree in the class 
	    heirarchy
 
 ******************************************************************************/
 
#define _H_CNModel

#include "CObject.h"

class CList;


class CNModel : public CObject {
public:
	CNModel *copy_of;
	CNModel *copied_as;
public:
	void INModel (void);

	virtual void CopyConnect (void);
	virtual CNModel *CopyModel (void);
	virtual void MakeConnections (CList *L);
	virtual void MakeIdentical (CNModel *M);
	void MakeConnectionCopy (void);
	void RegisterAsCopied (void);
	void RegisterAsCopy (CNModel *M);
};

 
 