#pragma once

/*****************************************************************************
 CNModelData.h
 
 	Source code for "NervousSystem"
	Copyright  1994 Joe Geigel. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).
 	
 	This file contains structure definitions used to hold model 
 	data settable by the user.  It is the main interface mechanism 
 	between a model and it's controller.
 	
 ******************************************************************************/
 
 
#define NAMELEN 100
 
typedef struct nAxonDataType
{
	char	aName[NAMELEN];
	float	length;
	float	velocity;
	float	decay_coeff;
	Boolean	metered;
} nAxonData;


typedef struct nDendriteDataType
{
	char	aName[NAMELEN];
	float	length;
	float	velocity;
	float	decay_coeff;
	float	acc_in_decay;
	Boolean	metered;
} nDendriteData;


					
typedef struct nSomaDataType
{
	char  	aName[NAMELEN];
	float	acc_in_decay;
	float	rest_thresh;
	float	max_rest_thresh;
	float	min_rest_thresh;
	float	thresh_rise;
	float	damping_const;
	float	t_thresh;
	float 	learn_fire;
	float	learn_nofire;
	float	rest_fire_pot;
	float	fire_recvr_const;
	Boolean	metered;
} nSomaData;


typedef struct nSynapseDataType
{
	char 	aName[NAMELEN];
	float	acc_in_decay;
	float	rest_thresh;
	float	vesc_cnt;
	float	min_vesc_cnt;
	float	max_vesc_cnt;
	float	thresh_rise;
	float	damping_const;
	float	t_fire;
	float	ves_learn_fire;
	float	ves_learn_nofire;
	float	ffq_learn_fire;
	float	ffq_learn_nofire;
	float	ffv_learn_fire;
	float	ffv_learn_nofire;
	float	fire_pot;
	float	ffq;
	float	ffv;
	float	fire_recvr_const;
	Boolean	metered;
} nSynapseData;


typedef struct nPulseInputDataType
{
	char	aName[NAMELEN];
	float	period;
	float	voltage;
} nPulseInputData;
	
typedef struct nTrainInputDataType
{
	char	aName[NAMELEN];
	char	fname[NAMELEN];
} nTrainInputData;
