/*
 *
 *	Biological Neural Net Simulator based on the Bon thesis
 *
 *	Object: Node, NodeList
 *
 *	A node connects two Elements.  Note that pointers to Elements
 *	are stored in Nodes.  It is assumed that these pointers are locked
 *	in memory prior to use.
 *
 *	NodeLists are used to store Nodes.
 */
 
#pragma once

#include "CNModel.h"

class CNNodeList;
class CNModelElem;
 
 class CNNodeModel : public CNModel {
 	CNModelElem	*input;
 	float		in_weight;
 	CNModelElem	*output;
 	
 static CNNodeList	*all_of_us;
 
 public:
 	CNNodeModel (void);
 	~CNNodeModel (void);
 	void Init (CNModelElem *in, float wght, CNModelElem *out);
 
 	void transfer (void);
 	CNModelElem *get_input(void);
 	CNModelElem *get_output (void);
 	
 	void disconnect (CNModelElem *E);
 	
 	void CopyConnect (void);
 	
 	static void do_node_transfers ( void );
 	static CNNodeModel *find_node (CNModelElem *in, CNModelElem *out);
// 	static CNNodeModel *first_node (void);
// 	static CNNodeModel *next_node (void);
 };
 
 