/**********************************************************************
 CNSimulator.c 
 
 	Biological Neural Net Simulator based on the Bon thesis
 
 	Object: Simulator
 
 	Manages the running of a simulation.
 	
 **********************************************************************/
 
#pragma once

#include <CObject.h>

class CNReporter;

class CNSimulator : public CObject {
private:
	static float		milsecs;
	static CNReporter		*reporter;
	
	void simulation_step(void);
public:
	static float ms_per_tick(void);
	static void record_signal (float in, float out, int id);
	void simulate (int steps, float time_step, char *filename);
};



